# Uses of Class
org.apache.datasketches.hll.HllUnion

Packages that use HllUnion
Package
Description
org.apache.datasketches.hll
The DataSketches™ HllSketch family package

## Uses of HllUnion in org.apache.datasketches.hll

Methods in org.apache.datasketches.hll that return HllUnion
Modifier and Type
Method
Description
`static final HllUnion`
HllUnion.`heapify(byte[] byteArray)`
Construct a HllUnion operator populated with the given byte array image of an HllSketch.
`static final HllUnion`
HllUnion.`heapify(MemorySegment seg)`
Construct a HllUnion operator populated with the given MemorySegment image of an HllSketch.
`static final HllUnion`
HllUnion.`writableWrap(MemorySegment srcWseg)`
Wraps the given MemorySegment, which must be a image of a valid updatable HLL_8 sketch, and may have data.